Package net.sf.jasperreports.engine.util
Class JRQueryExecuterUtils.WrappingQueryExecuterFactory
- java.lang.Object
-
- net.sf.jasperreports.engine.util.JRQueryExecuterUtils.WrappingQueryExecuterFactory
-
- All Implemented Interfaces:
JRQueryExecuterFactory,QueryExecuterFactory
- Enclosing class:
- JRQueryExecuterUtils
public static class JRQueryExecuterUtils.WrappingQueryExecuterFactory extends java.lang.Object implements QueryExecuterFactory
Deprecated.To be removed.
-
-
Field Summary
-
Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory
QUERY_EXECUTER_FACTORY_PREFIX
-
-
Constructor Summary
Constructors Constructor Description WrappingQueryExecuterFactory(JRQueryExecuterFactory factory)Deprecated.
-
Method Summary
All Methods Instance Methods Concrete Methods Deprecated Methods Modifier and Type Method Description JRQueryExecutercreateQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)Deprecated.Creates a query executer.JRQueryExecutercreateQueryExecuter(JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)Deprecated.Creates a query executer.java.lang.Object[]getBuiltinParameters()Deprecated.Returns the built-in parameters associated with this query type.booleansupportsQueryParameterType(java.lang.String className)Deprecated.Decides whether the query executers created by this factory support a query parameter type.-
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
Methods inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory
createQueryExecuter
-
-
-
-
Constructor Detail
-
WrappingQueryExecuterFactory
public WrappingQueryExecuterFactory(JRQueryExecuterFactory factory)
Deprecated.
-
-
Method Detail
-
getBuiltinParameters
public java.lang.Object[] getBuiltinParameters()
Deprecated.Description copied from interface:QueryExecuterFactoryReturns the built-in parameters associated with this query type. These parameters will be created as system-defined parameters for each report/dataset having a query of this type. The returned array should contain consecutive pairs of parameter names and parameter classes (e.g.{"Param1", String.class, "Param2", "List.class"}).- Specified by:
getBuiltinParametersin interfaceJRQueryExecuterFactory- Specified by:
getBuiltinParametersin interfaceQueryExecuterFactory- Returns:
- array of built-in parameter names and types associated with this query type
-
createQueryExecuter
public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters) throws JRException
Deprecated.Description copied from interface:QueryExecuterFactoryCreates a query executer. This method is called at fill time for reports/datasets having a query supported by this factory.- Specified by:
createQueryExecuterin interfaceQueryExecuterFactory- Parameters:
jasperReportsContext- the JasperReportsContextdataset- the dataset containing the query, fields, etcparameters- map of value parameters (instances ofJRValueParameter) indexed by name- Returns:
- a query executer
- Throws:
JRException
-
createQueryExecuter
public JRQueryExecuter createQueryExecuter(JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters) throws JRException
Deprecated.Description copied from interface:JRQueryExecuterFactoryCreates a query executer. This method is called at fill time for reports/datasets having a query supported by this factory.- Specified by:
createQueryExecuterin interfaceJRQueryExecuterFactory- Parameters:
dataset- the dataset containing the query, fields, etcparameters- map of value parameters (instances ofJRValueParameter) indexed by name- Returns:
- a query executer
- Throws:
JRException
-
supportsQueryParameterType
public boolean supportsQueryParameterType(java.lang.String className)
Deprecated.Description copied from interface:QueryExecuterFactoryDecides whether the query executers created by this factory support a query parameter type. This check is performed for all $P{..} parameters in the query.- Specified by:
supportsQueryParameterTypein interfaceJRQueryExecuterFactory- Specified by:
supportsQueryParameterTypein interfaceQueryExecuterFactory- Parameters:
className- the value class name of the parameter- Returns:
- whether the parameter value type is supported
-
-